> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.controlupdatemode.md).

# ControlUpdateMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines when changes to a data source value are updated in the data-bound control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ControlUpdateMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ControlUpdateMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                  | Description                                                                                                                                                                                                                       |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Never**             | The bound control is never updated. Binding is "write-only" with respect to the data source. To force the control property to be updated, use the [ReadValue](/api/wisej.web/data-binding/wisej.web.binding.md#readvalue) method. |
| **OnPropertyChanged** | The bound control is updated whenever the data changes, or the data source position changes. This is the default update mode.                                                                                                     |

## Used By

| Name                                                                                              | Description                                                                                   |
| ------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| [IBinding.ControlUpdateMode](/api/wisej.web/data-binding/wisej.web.ibinding.md#controlupdatemode) | Returns or sets when changes to the data source are propagated to the bound control property. |
| [Binding.ControlUpdateMode](/api/wisej.web/data-binding/wisej.web.binding.md#controlupdatemode)   | Returns or sets when changes to the data source are propagated to the bound control property. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.controlupdatemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
